AUTHLIB(3)

NAME
authlib - Courier Authentication Library

SYNOPSIS

courierauthconfig [[--ldflags] | [--cppflags]]

DESCRIPTION

The Courier authentication library consists of two libraries:

-lcourierauth
    Authentication functions.

-lcourierauthsasl
    SASL authentication functions.

courierauthconfig --cppflags produces on standard output any necessary compiler flags that are needed to access the courierauth.h and the courierauthsasl.h header files. courierauthconfig --ldflags produces on standard output any necessary compiler flags that are needed to link against the courierauth or courierauthsasl libraries.

SEE ALSO

auth_generic(3)[1], auth_login(3)[2], auth_getuserinfo(3)[3], auth_enumerate(3)[4], auth_mkhomedir(3)[5], auth_passwd(3)[6], auth_sasl(3)[7].

NOTES

1.  auth_generic(3)
    [set $man.base.url.for.relative.links]/auth_generic.html

2.  auth_login(3)
    [set $man.base.url.for.relative.links]/auth_login.html

3.  auth_getuserinfo(3)
    [set $man.base.url.for.relative.links]/auth_getuserinfo.html

4.  auth_enumerate(3)
    [set $man.base.url.for.relative.links]/auth_enumerate.html

5.  auth_mkhomedir(3)
    [set $man.base.url.for.relative.links]/auth_mkhomedir.html

6.  auth_passwd(3)
    [set $man.base.url.for.relative.links]/auth_passwd.html

7.  auth_sasl(3)
    [set $man.base.url.for.relative.links]/auth_sasl.html